@import "src/assets/styles/main";

#header {
  .navbar {
    background-color: white;
    padding: 0;
    &.scroll {
      box-shadow: 0 0 15px rgba(0,0,0,0.1);
    }
  }
  .navbar-brand {
    margin: 20px 0;
    padding: 0;
    @include transition(all 0.3s ease);
    @include media-breakpoint-down(md) {
      width: 100%;
    }
    img {
      display: block;
      height: 18px;
    }
  }
  .navbar-nav {
    @include media-breakpoint-down(sm) {
      height: 100vh;
      text-align: center;
      padding-top: 20px;
    }
    margin-left: auto;
    .nav-item {
      @include media-breakpoint-up(sm) {
        margin-left: 1rem;
      }
      @include media-breakpoint-up(lg) {
        margin-left: 1.5rem;
      }
      @include media-breakpoint-up(xl) {
        margin-left: 40px;
      }
    }
    .nav-link {
      display: inline-block;
      position: relative;
      color: $text-color !important;
      font-size: 12px;
      line-height: 16px;
      cursor: pointer;
      @include media-breakpoint-down(sm) {
        padding: 1rem;
      }
      @include media-breakpoint-up(sm) {
        padding-right: 1rem;
        padding-left: 1rem;
      }
      @include transition(color 0.3s ease);
      &.active, &:hover, &:focus {
        color: $primary !important;
      }
    }
  }
  .navbar-toggler {
    position: absolute;
    top: 10px;
    right: 4px;
    border: transparent;
    cursor: pointer;
    z-index: 10;
    outline: none;
    box-shadow: none !important;
    .navbar-toggler-icon {
      background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgb(0,0,0)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
    }
  }
}
